----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 06/27/2019 12:43:05 PM
-- Design Name: 
-- Module Name: LEDs_controller_tb - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity LEDs_controller_tb is
--  Port ( );
end LEDs_controller_tb;

architecture Behavioral of LEDs_controller_tb is


component LEDs_controller is
Port ( 
    clk : in STD_LOGIC;--100 MHz oscillator (E3)
    rst : in STD_LOGIC;
    LEDs : out std_logic_vector(3 downto 0)
);
end component;

signal clk : std_logic:='0';
signal rst : std_logic:='0';
signal LEDs : std_logic_vector(3 downto 0):=(others=>'0');

constant clk_period : time := 10 ns; 

begin


UUT: LEDs_controller
Port map ( 
    clk  => clk,
    rst  => rst,
    LEDs => LEDs
);
    
clk_proc: process
begin
clk <= '1';
wait for clk_period/2;
clk <='0';
wait for clk_period/2;
end process;

rst_proc: process
begin
rst <= '1';
wait for 100 ns;
rst <='0';
wait;
end process;

end Behavioral;
